/*****************************************************/
/*            File name : LCD_GBK.h                                              */
/* Description : header file of LCD_GBK.c                                  */
/* Platform     : AVRStudio4.13 + WinAVR20070525  for AVR     */
/* Author       : Michael Zhang - 䲨                            */
/* Email         : sudazqb@163.com                                          */
/* MSN          : zhangqibo_1985@hotmail.com                          */
/* Date          : 2007-1-2                                                    */
/* NOT FOR COMMERCIAL USE,     ALL RIGHT RESERVED!         */
/*****************************************************/
/* Change Log:                                                                      */
/*                   20071109: add a faster display function for 3310 */
/*                   20070102: original version                                 */
/*****************************************************/

#ifndef __LCD_GBK_H__
#define __LCD_GBK_H__

#include"LCD.h"

extern unsigned long FAT_Open(unsigned char * dir);//ļ
extern unsigned char (* FAT_ReadSector)(unsigned long,unsigned char *);
extern unsigned char (* FAT_WriteSector)(unsigned long,unsigned char *);

extern unsigned char GBK_Ini();

extern unsigned char Dis_GBK12_fast(unsigned int x,unsigned int y,unsigned char *ch);

extern unsigned char Dis_GBK12(unsigned int x,unsigned int y,unsigned char *ch);
extern unsigned char Dis_GBK16(unsigned int x,unsigned int y,unsigned char *ch);
extern unsigned char Unicode_to_GBK(unsigned char *ch);
extern unsigned char GBK_to_Unicode(unsigned char *ch);

#endif
